#### D.14.1.40 arrCharPoly

Procedure from library `arr.lib` (see arr_lib).

Usage:
  arrCharPoly(arr A)

Return:
  [intvec] coefficients of the characteristic polynomial of A in increasing order

Remarks:
  The algorithm only returns the coefficients of the characteristic polynomial since they are whole numbers but the basering could be something different.

Example:

    LIB "arr.lib";
    ring R = 0,(x,y,z,u,v),dp;
    arr A = arrBraid(5);
    intvec v = arrCharPoly(A);
    x*(x-1)*(x-2)*(x-3)*(x-4);
    ==> x5-10x4+35x3-50x2+24x
    v;
    ==> 24,-50,35,-10,1

See also: arrCharPoly; arrPoincare.

User manual for Singular version 4.4.1, 2025, generated by texi2html.